<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td  align="center">
			<table border="0"  height="44" cellpadding="0" cellspacing="0" >
			<tr>
            <td height="10" align="center" valign="top"><a href="{@HREF}"><img src="images/bullet_active.gif" border="0" alt=""/></a></td>
			</tr>
			<tr>
			<td height="34" align="center" valign="top"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </tr>
			</table>
			</td>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td  align="center">
			<table border="0"  height="44" cellpadding="0" cellspacing="0">
			<tr>
            <td  height="10" align="center" valign="top"><img src="images/bullet_active.gif" border="0" alt=""/></td>
			</tr>
			<tr>
			<td height="34" align="center" valign="top" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </tr>
			</table>
			</td>
            </xsl:when>
            <xsl:otherwise>
			<td align="center">
			<table border="0"  height="44" cellpadding="0" cellspacing="0">
			<tr>
            <td height="10" align="center" valign="top"><img src="images/bullet.gif" border="0" alt=""/></td>
			</tr>
			<tr>
			<td height="34" align="center" valign="top" ><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </tr>
			</table>
			</td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
			 <td align="center"><img src="images/menu_hr.gif" hspace="18"/></td>
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
