<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>

<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-color:#FFFFFF;">
    <tr>
        <td style="padding: 0 20px;">
<table width="100%" height="100%" valign="top" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">
		<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
      		<tr>
        		<td width="197" align="center" valign="top">
					<table width="197" border="0" cellspacing="0" cellpadding="0">
            			<tr>
              				<td height="4" bgcolor="#E7E7E7"></td>
            			</tr>
            			<tr>
              				<!-- SLOGAN -->
              				<td height="92" align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              				<!-- END SLOGAN -->
            			</tr>
            			<tr>
              				<td height="4" bgcolor="#E7E7E7"></td>
           				</tr>
            			<tr>
              				<td height="1"></td>
            			</tr>
            			<tr>
              				<td align="center" valign="top" background="images/submenubg.jpg">
								<!-- SUBMENU -->
                  				<table width="146" border="0" cellspacing="0" cellpadding="0" >
                    				<tr>
                      					<td height="40" colspan="2"></td>
                    				</tr>
										<xsl:call-template name="SUB-MENU">
                          				<xsl:with-param name="pageID" select="@ID"/>
										</xsl:call-template>

                    				<tr>
                      					<td colspan="2" height="70"></td>
                    				</tr>
                  				</table>
                				<!-- END SUBMENU -->
           				  </td>
            			</tr>
            			<tr>
            			  <td height="98" align="center" valign="top" background="images/top_menu_bg.jpg"></td>
          			  </tr>
        			</table>
				</td>
        		
				<td width="10"><img name="" src="" width="10" height="1" alt=""/></td>
        		
				<td valign="top">
					<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
            			<tr>
              				<td height="370" valign="top">
								<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                  					<tr>
                    					<td width="197" align="center" valign="top">
					
											<table width="100%" height="370" border="0" align="right" cellpadding="0" cellspacing="0">
              									<tr>
                									<td height="4" colspan="3"  bgcolor="#E7E7E7"></td>
                								</tr>
              									<tr>
                									<td height="6" colspan="3"  bgcolor="#FFFFFF"></td>
                								</tr>									
              									<tr>
                									<td height="20" colspan="3"  bgcolor="#898989"></td>
                								</tr>
              									<tr>
                									<td width="10" bgcolor="#898989" ></td>
                									<td width="177" align="center"  valign="top" bgcolor="#898989">
														<!-- MENU -->
														<table width="143" border="0" cellpadding="0" cellspacing="0">
														
                                                       <xsl:call-template name="TOP-MENU"/>

													  </table>
														<!-- END MENU -->				
													</td>
                									<td width="10" bgcolor="#898989"></td>
              									</tr>
              									<tr>
                									<td height="20" colspan="3"  bgcolor="#FFFFFF"></td>
                								</tr>
              								</table>	
										</td>
										<td width="10"><div style="width:10px; height:0px;"><span></span></div></td>
                    					<td align="left" valign="top">
											<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                      							<tr>
                        							<td height="5" background="images/color.gif"></td>
                        						</tr>
                      							<tr>
                        							<td valign="middle" style="padding-top:20px;padding-bottom:20px;">
														<table border="0" cellspacing="0" cellpadding="0">
                          									<tr>
                            									<td align="center" width="80" valign="middle"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                            									<td height="37" align="left" valign="middle" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                          									</tr>
                        								</table>
													</td>
                        						</tr>
                      							<tr>
                        							<td height="4" background="images/color.gif"></td>
                        						</tr>
                      							<tr>
                        							<td height="1"></td>
                      							</tr>
                      							<tr>
                        							<td height="278"><img src="images/headers.jpg" width="326" height="278" /></td>
                      							</tr>
                   						  </table>
										</td>
                  					</tr>
              					</table>
							</td>
            			</tr>
            			<tr>
              				<td valign="top" height="100%">
								<table width="92%" height="100%" border="0" cellpadding="0" cellspacing="15">
                  					<tr>
                    					<td height="30">
											<table border="0" cellpadding="0" cellspacing="0">
                        						<tr>
                          							<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                          							<td width="30" align="right"><img src="images/text_head.gif" /></td>
                        						</tr>
                      						</table>
										</td>
                  					</tr>
                  					<tr>
                    					<td class="pageContent" name="SB_stretch" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                  					</tr>
              					</table>
							</td>
            			</tr>
        			</table>
				</td>
      		</tr>
    	</table>
	</td>
  </tr>
  
  <tr>
    <td height="76" align="center">
	
      <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
        	<td height="4" width="197" bgcolor="#E7E7E7"></td>
        	<td width="10" rowspan="2"  bgcolor="#FFFFFF"></td>
            <td height="4"><div align="center"><img src="images/footline.gif" width="100%" height="4" /></div></td>
        </tr>
        
		<tr>
          <td width="197" align="center" valign="middle" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          <td align="center" valign="middle">
		  	<table border="0" cellpadding="0" cellspacing="0">
				<xsl:call-template name="BOTTOM-MENU"/>
			</table>
		  </td>
        </tr>
      </table>
	</td>
  </tr>
  
</table>
        </td>
    </tr>
</table>
</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td class="asubmenu" style="padding-right: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td><img src="images/submenu_bullet_active.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-right: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:2px; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		
			<td>
				<table>
					<tr><td align="center"><img src="images/bmenu_separator.gif" width="5" height="4" /></td></tr>
					<tr><td align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td></tr>
				</table>
            </td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td>
			<table>
			<tr><td align="center"><img src="images/bmenu_separator.gif" width="5" height="4" /></td></tr>
			<tr>
			<td align="center" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </tr>
			</table>
            </td>
           </xsl:when>
           <xsl:otherwise>
		   <td>
			<table>
			<tr><td align="center"><img src="images/bmenu_separator.gif" width="5" height="4" /></td></tr>
			<tr>
			<td align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </tr>
			</table>
            </td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30" align="center"><img src="images/dmenu_hr.gif" /></td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

