<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" style="background-image: url('images/header_bg.gif');background-position:left;background-repeat: repeat;">
<table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td height="297" valign="top"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/header_bg.gif');background-position:left;background-repeat: repeat;">
  <tr>
    <td valign="top"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td height="150" align="left" valign="middle" style="background-image: url('images/main_line.gif');background-position:bottom;background-repeat: repeat-x;"><!-- LOGO -->
      <table width="250" cellpadding="0" cellspacing="0">
      <tr>
        <td width="" align="center" valign="middle"><div style="height:25px;width:40px;"></div></td>
        <td align="right" valign="middle" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
        <td width="" align="left" valign="middle"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
        <td width="25" align="left" valign="middle"><div style="height:25px;width:15px;"></div>
</td>
      </tr>
    </table>
      
      <!-- END LOGO --></td>
    <td rowspan="2" align="right" valign="top"  style="background-image: url('images/header_bg2.gif');background-position:bottom;background-repeat: repeat-x;"><img src="images/header_left.jpg"/></td>
  </tr>
  <tr>
    <td height="90" ><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td align="left" valign="middle" style="background-image: url('images/slogan_bg.gif');background-position:left;background-repeat: repeat;"><table width="100" border="0" cellpadding="0" cellspacing="0" style="height:100%;width:100%;background-image: url('images/main_line.gif');background-position:bottom;background-repeat: repeat-x;">
  <tr>
    <td align="left" valign="middle" style="padding-left:70px;"><span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</span></td>
  </tr>
</table></td>
  </tr>
</table></td>
    </tr>
  <tr>
    <td height="44" colspan="2" align="left" style="background-image: url('images/menu_bg.gif');background-position:left;background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="10"><div style="height:px;width:10px;"></div>
</td>
    <td><!-- MENU -->
      <table border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:call-template name="TOP-MENU"/>
      </tr>
    </table><!-- END MENU --></td>
    <td width="10"><div style="height:px;width:10px;"></div>
</td>
  </tr>
</table>
</td>
    </tr>
  <tr>
    <td height="14" colspan="2"></td>
    </tr>
</table></td>
    <td width="78" valign="top"  style="background-image: url('images/main_line.gif');background-position:bottom;background-repeat: repeat-x;"><img src="images/header_middle.jpg"/></td>
    <td align="left" valign="top"><table border="0" cellpadding="0" cellspacing="0" style="height:100%;width:100%;">
  <tr>
    <td width="156" rowspan="2" valign="top"  style="background-image: url('images/main_line.gif');background-position:bottom;background-repeat: repeat-x;"><img src="images/header_right.jpg"/></td>
    <td height="150" align="left" valign="top"  style="background-image: url('images/main_line.gif');background-position:bottom;background-repeat: repeat-x;"></td>
  </tr>
  <tr>
    <td height="90" align="left" valign="top"  style="background-image: url('images/main_line.gif');background-position:bottom;background-repeat: repeat-x;"><div style="height:25px;width:60px;"></div></td>
  </tr>
  <tr>
    <td height="44" valign="top"  style="background-image: url('images/menu_bg.gif');background-position:left;background-repeat: repeat;"></td>
    <td rowspan="2" align="left" valign="top"></td>
  </tr>
  <tr>
    <td height="14" valign="top"></td>
  </tr>
</table></td>
  </tr>
</table></td>
  </tr>
  <tr>
    <td><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td style="background-image: url('images/slogan_bg.gif');background-position:left;background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
      <tr>
        <td align="left" valign="top" class="pageContent_table"><!-- CONTENT -->
                  <table cellpadding="0" cellspacing="0" border="0">
                    <tr><td class="text-header" style="padding-left:5px;padding-right:5px;"><img src="images/txtheader_bullet.gif"/></td>
                      <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      
                    </tr>
                  </table>
                <div style="height:15px;"></div>
                <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>                <!-- END CONTENT --></td>
      </tr>
    </table></td>
    <td width="216" align="right" valign="top"  style="background-image: url('images/submenu_bg.gif');background-position:left;background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td valign="top" style="background-image: url('images/main_line.gif');background-position:left;background-repeat: repeat-y;">
	<!-- SUBMENU -->
      <table border="0" cellspacing="0" cellpadding="0" style="background-image: url('images/submenu_line.gif');background-position:left top;background-repeat: no-repeat;">
    
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>

    
    </table><!-- END SUBMENU --></td>
  </tr>
</table><div style="height:25px;width:215px;"></div>

</td>
  </tr>
</table>
</td>
  </tr>
  <tr>
    <td height="60"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;;background-image: url('images/botmenu_bg.gif');background-position:top;background-repeat: repeat;">
      <tr>
        <td align="center" valign="middle"  style="background-image: url('images/main_line.gif');background-position:top;background-repeat: repeat-x;"><!-- BOTTOM MENU -->
          <table border="0" cellpadding="0" cellspacing="0">
              <tr>
                <xsl:call-template name="BOTTOM-MENU"/>

                <td width="1"><div style="height:1px;width:1px;"></div></td>
              </tr>
            </table>
              <!-- END BOOTTOM MENU --></td>
        <td width="216" style="background-image: url('images/copyright_bg.gif');background-position:left;background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/main_line.gif');background-position:top;background-repeat: repeat-x;">
  <tr>
    <td class="copyright" align="center" style="background-image: url('images/main_line.gif');background-position:left;background-repeat: repeat-y;">
<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</td>
  </tr>
</table>
</td>
      </tr>
    </table></td>
  </tr>
</table>
</BODY>

	</html>
</xsl:template>

<!-- TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
<!-- END TOP-MENU-->


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<!-- SUB-MENU-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	
	  <!-- sub-menu without link-->	
<tr>
        <td><table width="215" height="30" border="0" cellpadding="0" cellspacing="0"  style="background-image: url('images/submenu_line.gif');background-position:left bottom;background-repeat: no-repeat;">
          <tr>
            <td width="10"></td>
            <td width="146" class="iconleft"><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
            <td align="left" valign="middle" style="padding-left:8px;"
><img src="images/submenu_bullet.gif"/></td>
          </tr>
        </table></td>
      </tr>
	  <!--end-->
	  
		
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	
	  <!--sub-menu with link-->
<tr>
        <td><table width="215" height="30" border="0" cellpadding="0" cellspacing="0"  style="background-image: url('images/submenu_line.gif');background-position:left bottom;background-repeat: no-repeat;">
          <tr>
            <td width="10"></td>
            <td width="146" class="iconleft"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            <td align="left" valign="middle" style="padding-left:8px;"
><img src="images/submenu_bullet.gif"/></td>
          </tr>
        </table></td>
      </tr>
	  <!--end-->
	  
	  
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 
	  <!-- sub-menu no last-->

	  <!--end-->
	  
	
</xsl:if>
</xsl:template>	
<!--END SUB-MENU-->


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<!-- BOTTOM-MENU-->		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	   
		<!-- bottom-menu with link-->
        <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="bottom" class="menutable" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
        </xsl:when>
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		 
		<!-- bottom-menu without link--> 
         <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="bottom" class="menutable"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
		<!--end-->
		
		
		</xsl:when>
	    <xsl:otherwise>
		  
		<!-- bottom-menu click link-->  
        <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="bottom" class="menutable" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
		</xsl:otherwise>
        </xsl:choose>
	    <xsl:if test="position()!=last()">
		
		<!-- bottom-menu no last-->
        
		<!--end-->
		
		</xsl:if>
</xsl:template>
<!--END BOTTOM-MENU-->
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
